Subject: Re: Windows binaries for qgit 2.0

From: Abdelrazak Younes <[email-masked]>
Date: Mon, 17 Dec 2007 22:40:30 +0100

Marco Costalba wrote:
> On Dec 17, 2007 11:44 AM, Johannes Schindelin
> <[email-masked]> wrote:
>   
>> Why would anything that has to do with MSVC2005 be interesting to msysGit?
>> Note the "msys" part of "msysGit".
>>
>> FWIW a member of our team works on compiling/including qgit into msysGit.
>> But definitely not using closed-source compilers.  I would violently
>> oppose that.
>>
>>     
>
> I would (violently) agree with you, but I also violently oppose to
> waste a week end fighting with Qt4 + mingw compilation. MSVC2005 is
> needed as a kind of "debug tool" to better understand if the problem
> is with Qt4 or with mingw (as I suspect).
>
> Abdel is very kind to try to help in caming out with a qgit.exe more
> or less ready to be packaged. I'm not opposed, in this phase, to
> follow different _technically_ sound paths. Then when the dust settles
> down we could do our consideration regarding open source, in which I
> belive very firmly, so firmly that I'm not scared to _test_ different
> ways if this can be useful to shed some light on this issue.
>   
If you allow me to share my experience in the LyX project WRT mingw/msys 
versus MSVC: We tried very hard to use it, but at the end we faced many 
issues, so many issues that MSVC was the only pragmatic choice:
- autotools hell with msys: the automake version was simply too old and 
we had to mix cygwin and msys environment to get something done.
- linker hell: more than 500 megs of RAM was needed to link LyX with 
Qt3, the situation was better with Qt4 but still.
- compilation slowness. Mingw is just not good with C++.
- binary slowness: this is less of a problem with Qt4 but still, the 
MSVC compiled LyX is much faster.

In conclusion, I guess C-compilation is fine with Mingw and you should 
definitly stay with it for git, but for a heavy GUI oriented C++ program 
I strongly recommend MSVC.

Abdel.